Bug 1029736 - add %ghc_arches for el5
add %ghc_arches for el5
Product: Fedora EPEL
Classification: Fedora
Component: epel-release (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Stahnke
Fedora Extras Quality Assurance
Depends On: 741869
  Show dependency treegraph
Reported: 2013-11-12 23:33 EST by Jens Petersen
Modified: 2013-12-25 22:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 741869
Last Closed: 2013-12-25 22:07:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
epel-release-5-ghc-macros.patch (1.62 KB, patch)
2013-11-13 00:17 EST, Jens Petersen
no flags Details | Diff

  None (edit)
Description Jens Petersen 2013-11-12 23:33:43 EST
+++ This bug was initially created as a clone of Bug #741869 +++

Description of problem:
In Fedora we now have %ghc_arches defined in redhat-rpm-config.
I would like to be able to build current Fedora ghc packages also
on EPEL-6, it doesn't have %ghc_arches defined yet so I can't.

ghc_arches is just a list of the archs where ghc has
been bootstrapped (for Fedora).

I don't think redhat-rpm-config can be updated for el6
so I am wondering if it can be added here instead?

I am happy to produce a patch to do that.

--- Additional comment from Michael Stahnke on 2011-12-28 17:24:52 JST ---

If you supply a patch, I don't see why we couldn't add it.  I'll ask Dennis as well.

--- Additional comment from Jens Petersen on 2012-01-10 12:36:25 JST ---

A patch to epel-release.spec adding "/etc/rpm/macros.ghc-srpm".

--- Additional comment from Jens Petersen on 2012-01-10 12:38:09 JST ---

The rpm macros from Fedora's latest redhat-rpm-config.

--- Additional comment from Dennis Gilmore on 2012-01-11 03:36:50 JST ---

doesnt matter if we add it or not. it will not be available to be used, we do not install epel-release in the el6 minimal buildroot or srpm creation buildroot. we could change that but it does mean a change. it belongs in redhat-rpm-config not as a hack in epel-release. please try to go the path of redhat-rpm-config first.

--- Additional comment from Jens Petersen on 2012-03-02 12:46:04 JST ---

Personally I feel that epel-release is kind of a sensitive package
so in the long term it would be better to use say an epel-rpm-config
package to house the macros for current EPEL releases, also given
that epel-release is not currently needed in mock.

Anyway, Dennis suggested we go ahead with patching epel-release
and pulling that into the default koji buildroot so I will
update the patch to the latest macros.

--- Additional comment from Jens Petersen on 2012-03-02 18:51:27 JST ---

Updated macros.ghc-srpm to just list i686 and x86_64 arches,
since currently epel6 only has ghc built for them.

epel-release.spec-macros.ghc-srpm.patch should still be good.

--- Additional comment from Fedora Update System on 2012-04-20 22:53:28 JST ---

epel-release-6-6 has been submitted as an update for Fedora EPEL 6.

--- Additional comment from Fedora Update System on 2012-04-22 05:59:42 JST ---

Package epel-release-6-6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing epel-release-6-6'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).

--- Additional comment from Fedora Update System on 2012-05-08 07:09:01 JST ---

epel-release-6-6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 1 Jens Petersen 2013-11-12 23:49:33 EST
I would like to have %ghc_arches and %ghc_arches_with_ghci defined also for EPEL5.
Comment 2 Jens Petersen 2013-11-13 00:17:09 EST
Created attachment 823247 [details]

This change add the patch and updates the spec file.
Comment 3 Jens Petersen 2013-11-13 00:18:54 EST
I guess epel-release will also need to be added to the default koji epel5 buildroot.
Comment 4 Jens Petersen 2013-12-25 21:30:24 EST
Comment 5 Jens Petersen 2013-12-25 22:07:08 EST
Actually I need to edit all spec files for epel5 anyway
to add BuildRoot at least so removing ExclusiveArch by hand
is probably okay.

Note You need to log in before you can comment on or make changes to this bug.